Opened 2 months ago

Closed 3 weeks ago

#1580 closed defect (fixed)

install.sh text fixes

Reported by: pbaumann Owned by: bphamhuu
Priority: minor Milestone: 9.5
Component: undecided Version: development
Keywords: Cc: dmisev
Complexity: Trivial

Description (last modified by pbaumann)

The installer script has some glitches:

  • missing copyright / open source line
  • petabeded -> petabedded (likely)
  • options 1 and 2 address different things, what about PG with jetty? It is not clear how options relate.
  • PostgreSQL support is not deprecated, it needs to remain
  • IGNORE THIS: can we add a dryrun option which indicates the packages to be installed, without doing it? ((user is asked about packages before installation, that's fine)

Change History (5)

comment:1 Changed 2 months ago by pbaumann

  • Description modified (diff)

comment:2 Changed 5 weeks ago by dmisev

petabeded -> petabedded (likely)

I fixed petabeded to embedded

comment:3 Changed 5 weeks ago by dmisev

missing copyright / open source line

what should it print exactly?

options 1 and 2 address different things, what about PG with jetty? It is not clear how options relate.

it's just some most common predefined options; the user is free to adapt their own profile for installation if they want further options, we can't predefine all combinations (it's way too many).

comment:4 Changed 3 weeks ago by bphamhuu

"IGNORE THIS: can we add a dryrun option which indicates the packages to be installed, without doing it? ((user is asked about packages before installation, that's fine)"
It listed the packages and asked user before installing.

Installing third party dependencies on CentOS Linux 7.3...
Installing packages ['make', 'libtool', 'autoconf', 'bison', 'flex', 'flex-devel', 'git', 'curl', 'gcc', 'gcc-c++', 'unzip', 'boost-devel', 'libstdc++-static', 'libtiff-devel', 'gdal-devel', 'zlib-devel', 'libedit-devel', 'readline-devel', 'netcdf-cxx-devel', 'netcdf-devel', 'postgresql-devel', 'sqlite-devel', 'openssl-devel', 'grib_api-devel', 'hdf-devel', 'java-1.8.0-openjdk-devel', 'maven', 'ant', 'gdal-java', 'postgresql-server', 'postgresql-contrib', 'sqlite', 'zlib', 'boost', 'gdal', 'netcdf', 'netcdf-cxx', 'libtiff', 'libedit', 'readline', 'openssl', 'gcc', 'python-devel', 'python-dateutil', 'python-magic', 'which', 'python-lxml', 'python-pip', 'python-setuptools', 'grib_api', 'gdal-python', 'pyproj', 'netcdf4-python', 'hdf', 'grib_api-devel', 'sysvinit-tools', 'tomcat']... 
Continue? [Y/n]

comment:5 Changed 3 weeks ago by pbaumann

  • Resolution set to fixed
  • Status changed from new to closed

thanks, Bang, looks nice, so closing.

Note: See TracTickets for help on using tickets.